Skip to main content
POST
/
consumers
/
{consumer_id}
/
banks
/
{bank_connection_id}
/
accounts
/
{bank_account_id}
/
transactions
Create a transaction
curl --request POST \
  --url https://api.example.com/consumers/{consumer_id}/banks/{bank_connection_id}/accounts/{bank_account_id}/transactions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "<string>",
  "amount": 123,
  "executed_at": "2023-11-07T05:31:56Z",
  "raw_label": "<string>",
  "label": "<string>",
  "truncated_pan": "<string>",
  "country_code": "<string>",
  "brand": {
    "id": "<string>",
    "name": "<string>",
    "mcc": "<string>",
    "address": "<string>",
    "city": "<string>",
    "post_code": "<string>",
    "country": "<string>",
    "category_code": "<string>",
    "public_reference": "<string>"
  },
  "store": {
    "id": "<string>",
    "post_code": "<string>",
    "city": "<string>",
    "address": "<string>",
    "country": "<string>",
    "name": "<string>",
    "category_code": "<string>",
    "public_reference": "<string>",
    "merchant_id": "<string>"
  },
  "scheme": "visa",
  "authorization_id_response": "1A2B3C",
  "retrieval_reference_number": "1A2B3C4D5E6F",
  "truncated_dpan": "<string>"
}
'
import requests

url = "https://api.example.com/consumers/{consumer_id}/banks/{bank_connection_id}/accounts/{bank_account_id}/transactions"

payload = {
"id": "<string>",
"amount": 123,
"executed_at": "2023-11-07T05:31:56Z",
"raw_label": "<string>",
"label": "<string>",
"truncated_pan": "<string>",
"country_code": "<string>",
"brand": {
"id": "<string>",
"name": "<string>",
"mcc": "<string>",
"address": "<string>",
"city": "<string>",
"post_code": "<string>",
"country": "<string>",
"category_code": "<string>",
"public_reference": "<string>"
},
"store": {
"id": "<string>",
"post_code": "<string>",
"city": "<string>",
"address": "<string>",
"country": "<string>",
"name": "<string>",
"category_code": "<string>",
"public_reference": "<string>",
"merchant_id": "<string>"
},
"scheme": "visa",
"authorization_id_response": "1A2B3C",
"retrieval_reference_number": "1A2B3C4D5E6F",
"truncated_dpan": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '<string>',
amount: 123,
executed_at: '2023-11-07T05:31:56Z',
raw_label: '<string>',
label: '<string>',
truncated_pan: '<string>',
country_code: '<string>',
brand: {
id: '<string>',
name: '<string>',
mcc: '<string>',
address: '<string>',
city: '<string>',
post_code: '<string>',
country: '<string>',
category_code: '<string>',
public_reference: '<string>'
},
store: {
id: '<string>',
post_code: '<string>',
city: '<string>',
address: '<string>',
country: '<string>',
name: '<string>',
category_code: '<string>',
public_reference: '<string>',
merchant_id: '<string>'
},
scheme: 'visa',
authorization_id_response: '1A2B3C',
retrieval_reference_number: '1A2B3C4D5E6F',
truncated_dpan: '<string>'
})
};

fetch('https://api.example.com/consumers/{consumer_id}/banks/{bank_connection_id}/accounts/{bank_account_id}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "amount": 123,
  "raw_label": "<string>",
  "executed_at": "2023-11-07T05:31:56Z",
  "is_realtime": false,
  "label": "<string>",
  "truncated_pan": "<string>",
  "country_code": "<string>",
  "brand": {
    "id": "<string>",
    "name": "<string>",
    "mcc": "<string>",
    "address": "<string>",
    "city": "<string>",
    "post_code": "<string>",
    "country": "<string>",
    "category_code": "<string>",
    "public_reference": "<string>"
  },
  "store": {
    "id": "<string>",
    "post_code": "<string>",
    "city": "<string>",
    "address": "<string>",
    "country": "<string>",
    "name": "<string>",
    "category_code": "<string>",
    "public_reference": "<string>",
    "merchant_id": "<string>"
  },
  "scheme": "visa",
  "authorization_id_response": "1A2B3C",
  "retrieval_reference_number": "1A2B3C4D5E6F",
  "truncated_dpan": "<string>"
}
{
"message": "Bad Request"
}
{
"message": "Missing or invalid Authorization Header."
}
{
"message": "You don’t have permission to access this resource."
}
{
"message": "Resource Not Found"
}
{
"message": "Conflict error"
}
{
"message": "Internal Server Error"
}

Authorizations

Authorization
string
header
required

Enter your "Injector" API Key

See Authentication section for more information

Path Parameters

bank_account_id
string<uuid>
required

Bank account uuid

bank_connection_id
string<uuid>
required

Bank connection uuid

consumer_id
string
required

Unique ID of the consumer that you have registered when the user was onboarded.

Required string length: 2 - 100

Body

application/json
id
string
required

Unique identifier for the resource on your system

amount
number
required
currency
enum<string>
required

ISO 4217 currency code (alpha-3 or numeric)

Available options:
AED,
AFN,
ALL,
AMD,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BHD,
BIF,
BMD,
BND,
BOB,
BOV,
BRL,
BSD,
BTN,
BWP,
BYN,
BZD,
CAD,
CDF,
CHE,
CHF,
CHW,
CLF,
CLP,
CNY,
COP,
COU,
CRC,
CUP,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
ERN,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
IRR,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MRU,
MUR,
MVR,
MWK,
MXN,
MXV,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SDG,
SEK,
SGD,
SHP,
SLE,
SOS,
SRD,
SSP,
STN,
SVC,
SYP,
SZL,
THB,
TJS,
TMT,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
USN,
UYI,
UYU,
UYW,
UZS,
VED,
VES,
VND,
VUV,
WST,
XAD,
XAF,
XCD,
XCG,
XOF,
XPF,
XSU,
XUA,
YER,
ZAR,
ZMW,
ZWG
Required string length: 3
Examples:

"EUR"

"978"

executed_at
required
type
enum<string>
required
Available options:
bank,
card,
check,
deferred_card,
deposit,
loan_payment,
order,
payback,
summary_card,
transfer,
unknown,
withdrawal
raw_label
string
required

Unicode string that must not contain null bytes (\x00)

label
string | null
truncated_pan
string | null

Last 4 digits of the card number, must be a string without null bytes, and match 4 digits

country_code
string | null
Pattern: ^\w{2}$
brand
BrandSchema · object | null
store
StoreSchema · object | null
state
enum<string> | null
Available options:
cleared,
authorization
channel
enum<string> | null
Available options:
store,
online
scheme
string | null

The network used for the transaction

Example:

"visa"

authorization_id_response
string | null

Alphanumeric reference number assigned by the issuer in response to a transaction authorization request.

Required string length: 1 - 6
Example:

"1A2B3C"

retrieval_reference_number
string | null

Alphanumeric retrieval reference number, unique identifier assigned to a card transaction during the authorization

Required string length: 1 - 12
Pattern: ^[a-zA-Z0-9 ]{1,12}$
Example:

"1A2B3C4D5E6F"

truncated_dpan
string | null

Last 4 digits of the device token, must be a string without null bytes, and match 4 digits

Response

Successful Response

id
string
required

Unique identifier for the resource on your system

amount
number
required
currency
enum<string>
required

ISO 4217 currency code (alpha-3 or numeric)

Available options:
AED,
AFN,
ALL,
AMD,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BHD,
BIF,
BMD,
BND,
BOB,
BOV,
BRL,
BSD,
BTN,
BWP,
BYN,
BZD,
CAD,
CDF,
CHE,
CHF,
CHW,
CLF,
CLP,
CNY,
COP,
COU,
CRC,
CUP,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
ERN,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
IRR,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MRU,
MUR,
MVR,
MWK,
MXN,
MXV,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SDG,
SEK,
SGD,
SHP,
SLE,
SOS,
SRD,
SSP,
STN,
SVC,
SYP,
SZL,
THB,
TJS,
TMT,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
USN,
UYI,
UYU,
UYW,
UZS,
VED,
VES,
VND,
VUV,
WST,
XAD,
XAF,
XCD,
XCG,
XOF,
XPF,
XSU,
XUA,
YER,
ZAR,
ZMW,
ZWG
Required string length: 3
Examples:

"EUR"

"978"

raw_label
string
required

Unicode string that must not contain null bytes (\x00)

executed_at
required
type
enum<string>
required
Available options:
bank,
card,
check,
deferred_card,
deposit,
loan_payment,
order,
payback,
summary_card,
transfer,
unknown,
withdrawal
is_realtime
boolean
default:false
label
string | null
truncated_pan
string | null

Last 4 digits of the card number, must be a string without null bytes, and match 4 digits

country_code
string | null
Pattern: ^\w{2}$
state
enum<string> | null
Available options:
cleared,
authorization
channel
enum<string> | null
Available options:
store,
online
brand
BrandSchema · object | null
store
StoreSchema · object | null
scheme
string | null

The network used for the transaction

Example:

"visa"

authorization_id_response
string | null

Alphanumeric reference number assigned by the issuer in response to a transaction authorization request.

Pattern: ^[a-zA-Z0-9]{1,6}$
Example:

"1A2B3C"

retrieval_reference_number
string | null

Alphanumeric retrieval reference number, unique identifier assigned to a card transaction during the authorization

Required string length: 1 - 12
Pattern: ^[a-zA-Z0-9 ]{1,12}$
Example:

"1A2B3C4D5E6F"

truncated_dpan
string | null

Last 4 digits of the device token, must be a string without null bytes, and match 4 digits